

Global IMG_MAIN = LoadImage("images\main.png")

Global IMG_BACKGROUND = LoadImage("images\bkg_desert.png")



AutoMidHandle True 

    Global IMG_HERO = LoadAnimImage("images\hero.png", 48, 72, 0, 2)
    MaskImage IMG_HERO, 0, 0, 255
    
    Global IMG_ENEMY = LoadAnimImage("images\enemy.png", 48, 72, 0, 8)
    MaskImage IMG_ENEMY, 255, 255, 255
    
    Global IMG_ENEMY_COMMANDO = LoadAnimImage("images\enemy_commando.png", 48, 72, 0, 8)
    MaskImage IMG_ENEMY_COMMANDO, 255, 255, 255
    
    Global IMG_ENEMY_BOSS = LoadAnimImage("images\enemy_boss.png", 48, 72, 0, 8)
    MaskImage IMG_ENEMY_BOSS, 255, 255, 255
       
    Global IMG_ENEMY_BODY = LoadAnimImage("images\enemy_body.png", 64, 36, 0, MAX_CORPSE_FRAME + 1)
    MaskImage IMG_ENEMY_BODY, 255, 255, 255
    
    Global IMG_ENEMY_BODY_COMMANDO = LoadAnimImage("images\enemy_body_commando.png", 64, 36, 0, MAX_CORPSE_FRAME + 1)
    MaskImage IMG_ENEMY_BODY_COMMANDO, 255, 255, 255
    
    Global IMG_ENEMY_BODY_BOSS = LoadAnimImage("images\enemy_body_boss.png", 64, 36, 0, MAX_CORPSE_FRAME + 1)
    MaskImage IMG_ENEMY_BODY_BOSS, 255, 255, 255
    
    Global IMG_EXPLOSION = LoadAnimImage("images\explosion.png", 64, 128, 0, 2)
    MaskImage IMG_EXPLOSION, 255, 255, 255
    
    Global IMG_SCORCH_MARK = LoadImage("images\scorch_mark.png")
    MaskImage IMG_SCORCH_MARK, 255, 255, 255
        
    Const WEAPON_SLOT_WIDTH = 45
    Global IMG_WEAPON_QUEUE = LoadAnimImage("images\weapon_queue.png", WEAPON_SLOT_WIDTH, 28, 0, 6)
    
    Global IMG_SHOTGUN_SHELL = LoadImage("images\prj_shotgun_shell.png");
    MaskImage IMG_SHOTGUN_SHELL, 255, 255, 255
    
    Global IMG_MACHINE_GUN_SPRAY = LoadAnimImage("images\prj_machinegun_spray.png", 32, 32, 0, 2);
    MaskImage IMG_MACHINE_GUN_SPRAY, 255, 255, 255
    
    Global IMG_SHADOW = LoadImage("images\shadow.png");
    MaskImage IMG_SHADOW, 255, 255, 255
    
    Global IMG_GRENADE = LoadImage("images\prj_grenade.png")
    MaskImage IMG_GRENADE, 255, 255, 255
    
    Global IMG_GRENADE_COLLIDER
    CreateImgGrenadeCollider(GRENADE_EXPLOSION_DIAMETER)
    MaskImage IMG_GRENADE_COLLIDER, 255, 255, 255
    
    Global IMG_MACHINE_GUN_COLLIDER
    CreateImgMachineGunCollider(7)
    MaskImage IMG_MACHINE_GUN_COLLIDER, 255, 255, 255
    
    Global IMG_PLANT1 = LoadImage("images\plant1.png")
    MaskImage IMG_PLANT1, 255, 255, 255
    
    Global IMG_PLANT2 = LoadImage("images\plant2.png")
    MaskImage IMG_PLANT2, 255, 255, 255
    
    Global IMG_HELICOPTER = LoadAnimImage("images\helicopter.png", 280, 312, 0, 2)
    MaskImage IMG_HELICOPTER, 255, 255, 255

    Global IMG_RIBBON = LoadImage("images\ribbon.png")
    MaskImage IMG_RIBBON, 255, 255, 255

    Global IMG_TROPHY = LoadImage("images\golden_machine_gun.png")
    MaskImage IMG_TROPHY, 0, 0, 255

AutoMidHandle False



Function CreateImgGrenadeCollider (diam)

    IMG_GRENADE_COLLIDER = CreateImage(diam, diam) 

    SetBuffer(ImageBuffer(IMG_GRENADE_COLLIDER))
    ClsColor 255,255,255
    Cls  
    
    Color 0,0,0
    Oval 0, 0, diam, diam, True 

End Function



Function CreateImgMachineGunCollider (diam)

    IMG_MACHINE_GUN_COLLIDER = CreateImage(diam, diam) 

    SetBuffer(ImageBuffer(IMG_MACHINE_GUN_COLLIDER))
    ClsColor 255,255,255
    Cls  
    
    Color 0,0,0
    Oval 0, 0, diam, diam, True 

End Function