
Type Shell

    Field img
    Field posX#
    Field posY#
    Field speedY#

End Type


Function UpdateShotgunShells ()

    For s.Shell = Each Shell
    
        s\posY# = s\posY# + s\speedY#
                
        If s\posY# < 0.0
            
            ResetKillStreak()
            Delete s
            
        Else
            
            shellHit = False 
            
            ; Collision with Enemy
            For e.Enemy = Each Enemy    
                If ImagesCollide(IMG_SHOTGUN_SHELL, s\posX#, s\posY#, 0, IMG_ENEMY, e\posX#, e\posY#, e\frame)
                    
                    shellHit = True
                    
                    NewCorpse(e)

                    kScore = RegisterKill(e)
                    NewEnemyScore(e\posX#, e\posY#, kScore)
                    
                    If e\isBoss = True Or Rand(1,8) = 1 Then PlaySoundWilhelm(s\posX#)
                    
                    Delete e                
                    
               End If
            Next
            
            If shellHit = True Then Delete s
        
        End If

    Next

End Function



Function RenderShotgunShells ()

    For s.Shell = Each Shell    
        DrawImage(IMG_SHOTGUN_SHELL, Floor(s\posX#), Floor(s\posY#))   
    Next    

End Function

