

Const WEAPON_QUEUE_SIZE = 3
Dim WEAPON_QUEUE (WEAPON_QUEUE_SIZE)



Function NewWeaponQueue ()

    WAVE\isTriple = True
    For i = 1 To WEAPON_QUEUE_SIZE   
        WEAPON_QUEUE(i) = Rand(0,2)
        If i > 1 And (WEAPON_QUEUE(i) = WEAPON_QUEUE(i-1)) = False Then WAVE\isTriple = False   
    Next

    HERO\weapon = WEAPON_QUEUE(1)
    HERO\weaponSlot = 1

End Function  




Function UpdateWeaponQueue ()

    If WAVE\firstShot = False
        WAVE\firstShot = True
        Return 
    End If 

    HERO\weaponSlot = HERO\weaponSlot + 1
    If HERO\weaponSlot > WEAPON_QUEUE_SIZE Then HERO\weaponSlot = 1

    HERO\weapon = WEAPON_QUEUE(HERO\weaponSlot)

End Function  



Function RenderWeaponQueue ()

    paddingX = 3
    startX = (480 - (WEAPON_QUEUE_SIZE * (WEAPON_SLOT_WIDTH + paddingX))) / 2
    For i = 1 To WEAPON_QUEUE_SIZE
    
        frame = WEAPON_QUEUE(i)
        If HERO\weaponSlot = i Then frame = frame + 3
        DrawBlock(IMG_WEAPON_QUEUE, startX + ((i + 1) * (WEAPON_SLOT_WIDTH + paddingX)), 460, frame)
        
    Next    

End Function
