
Type BulletHole

    Field posX#
    Field posY#
    Field size

End Type



Function NewBulletHole.BulletHole (posX#, posY#)

    bh.BulletHole = New BulletHole
    
    bh\posX# = posX#
    bh\posY# = posY#

    bh\size = Rand(1,2)    

    Return bh

End Function



Function UpdateBulletHoles ()

    For bh.BulletHole = Each BulletHole
    
        bh\posY# = bh\posY# + STAGE\speedY#
        If bh\posY# > 480.0 Then Delete bh
    
    Next

End Function



Function RenderBulletHoles ()

    For bh.BulletHole = Each BulletHole
    
        Color 32,32,0
        Rect bh\posX#, bh\posY#, bh\size + 1, bh\size, True 
    
    Next

End Function