
Type Corpse 

    Field posX# 
    Field posY#
    Field frame
    Field isCommando
    Field isBoss

End Type



Function NewCorpse.Corpse (e.Enemy)

    c.Corpse = New Corpse
    
    c\posX#      = e\posX#
    c\posY#      = e\posY#
    c\isCommando = e\isCommando
    c\isBoss     = e\isBoss
    
    c\frame = Rand(0,MAX_CORPSE_FRAME)

    Return c

End Function



Function UpdateCorpses ()

    For c.Corpse = Each Corpse    
        c\posY# = c\posY# + STAGE\speedY#
        If c\posY# > 500.0 Then Delete c   
    Next

End Function



Function RenderCorpses ()

    For c.Corpse = Each Corpse
    
        If c\isCommando = True
            DrawImage(IMG_ENEMY_BODY_COMMANDO, Floor(c\posX#), Floor(c\posY#), c\frame)
        Else If c\isBoss = True
            DrawImage(IMG_ENEMY_BODY_BOSS, Floor(c\posX#), Floor(c\posY#), c\frame)
        Else        
            DrawImage(IMG_ENEMY_BODY, Floor(c\posX#), Floor(c\posY#), c\frame)
        End If 
    
    Next      

End Function